%global pypi_name jsonrpclib
%define python3 0
Name:           python-%{pypi_name}
Version:        0.1.3
Release:        %mkrel 8
Group:          Development/Python
Summary:        This project is an implementation of the JSON-RPC v2.0 specification

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

%description
This project is an implementation of the JSON-RPC v2.0 specification

%if %python3
%package -n python3-%{pypi_name}
Summary:        This project is an implementation of the JSON-RPC v2.0 specification
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
This project is an implementation of the JSON-RPC v2.0 specification
%endif

%prep
%setup -q -n %{pypi_name}-%{version}

%autopatch -p1

%if %python3
cp -a . %{py3dir}
%endif

%build
%{__python} setup.py build

%if %python3
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if %python3
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%{python_sitelib}/%{pypi_name}*

%if %python3
%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}*
%endif


%changelog
* Mon Feb 01 2016 umeabot <umeabot> 0.1.3-8.mga6
+ Revision: 929717
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-7.mga5
+ Revision: 750625
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.3-6.mga5
+ Revision: 728866
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-5.mga5
+ Revision: 688101
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.1.3-3.mga4
+ Revision: 543415
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.1.3-2.mga4
+ Revision: 498787
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 neoclust <neoclust> 0.1.3-1.mga4
+ Revision: 492604
- imported package python-jsonrpclib

